package cz.vutbr.feec.utko.opencv.io;

import static com.googlecode.javacv.cpp.opencv_core.*;
import static com.googlecode.javacv.cpp.opencv_imgproc.*;
import com.googlecode.javacv.cpp.opencv_core.IplImage;
import com.rapidminer.operator.IOObject;
import com.rapidminer.operator.ResultObjectAdapter;



public class OpenCVIOObject extends ResultObjectAdapter {
	private static final long serialVersionUID = 7208955406468389691L;

	private IplImage image;
	
	public void setImage(IplImage image) {
		this.image = image;
	} 

	public IplImage getImage() {
		return image;
	}

	public OpenCVIOObject(IplImage image ) {
		this.image =  cvCloneImage(image);
		
	}
	
	@Override
	public IOObject copy() {
		return super.copy();
	}
}
